<template>
  <v-container>
      <v-row>
        <v-col cols="12" v-for="order in orders" :key="order.id">
          <v-card>
            <v-card-text>
              <v-card-title class="text-h5 mb-4">
                Имя: {{ order.name }}
              </v-card-title>
              <v-divider></v-divider>
              <v-card-subtitle class="mt-4 text-body-2 mr-5">
                Поступление заявки: 11.01.2023
              </v-card-subtitle>
              <v-card-text class="mt-4 text-body-2 mr-5">
                Телефон: <a :href="`tel:${order.phone}`" class="text-decoration-none">{{ order.phone }}</a>
              </v-card-text>
            </v-card-text>
          </v-card>
        </v-col>
      </v-row>
  </v-container>
</template>

<script>
import AppReview from '@/components/AppReview.vue';

export default {
  components: {
    AppReview,
  },
  created() {
    this.$store.dispatch('getOrders');
  },
  data() {
    return {
      breadcrumbs: [
        {
          text: 'Домашняя',
          disabled: false,
          href: '/'
        },
        {
          text: 'Заявки',
          disabled: true,
          href: '/'
        }
      ],
      panel: [0],
    }
  },
  computed: {
    orders: {
      get() {
        return this.$store.getters.ordersList
      }
    },
  },
}
</script>

<style>

</style>
